REST API - Misc
List LLM Models
Returns available models for a specific LLM provider
GET
List Llm Models
List available models for a specific LLM provider. Use the
model_id value as the agent’s model_name field when creating or updating an agent.
Path Parameters
string
required
The provider’s
internal_identifier from List LLM Providers (e.g., openai, anthropic)Response
Returns an array ofLLMModelItem objects.
string
Model identifier — use this as the
model_name field when creating/updating agentsstring
Human-friendly model name
integer
1 for a provider’s current flagship models, 2 for previous or mid-range models, 3 for small, low-cost modelsstring
Brief description of the model’s capabilities
string
ga for a current model, legacy for an older model that still worksinteger
Context window, in tokens
integer
Maximum output, in tokens
string[]
Supported features, for example
function_calling, structured_output and visionobject | null
List price in USD:
input_usd_per_1m, output_usd_per_1m, cache_read_usd_per_1m and cache_write_usd_per_1mExample Request
Notes
- Returns
404when the provider identifier is not found - Use the
model_idvalue as the agent’smodel_namefield - A lower
tiernumber means a more capable model. Comparepriceto see what each costs
Authorizations
API Key for authentication
Path Parameters
Response
Successful Response
The model identifier to use in agent configuration. Set this as the agent's model_name field (e.g., 'claude-sonnet-5', 'gpt-4o').
Human-readable name of the model for display purposes.
Model capability tier. Higher tiers indicate more capable (and typically more expensive) models. Tier 1 is standard, higher tiers are premium.
Brief description of the model's capabilities and recommended use cases.

